Changes between Initial Version and Version 1 of Ticket #11080, comment 216


Ignore:
Timestamp:
04/16/12 17:36:26 (9 years ago)
Author:
jason
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #11080, comment 216

    initial v1  
    11I think that's what we want, right?  What if their system has an old (or newer) version of openssl?  If they install the openssl spkg, we should use that.
    22
    3 As for a test, can't we just try to install pyOpenSSL with the C_INCLUDE_PATH set?  If we have openssl installed as an spkg, it'll pick up that.  It will fall through to the system headers if they aren't present in Sage.  If there is an error in installing pyopenssl, then print a big warning message about installing the optional openssl spkg.
     3As for a test, can't we just try to install pyOpenSSL with the C_INCLUDE_PATH set?  If we have openssl installed as an spkg, it'll pick up that.  (I think) it will fall through to the system headers if they aren't present in Sage.  If there is an error in installing pyopenssl, then print a big warning message about installing the optional openssl spkg.